From: Martina Ferrari <tina@debian.org>
Date: Sat, 20 Jun 2020 15:14:34 -0300
Subject: Add default settings adapted for Debian

Forwarded: not-needed
Last-Update: Sat Mar 12 18:35:22 2022 +0000
---
 cmd/prometheus/main.go | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/cmd/prometheus/main.go b/cmd/prometheus/main.go
index e4efc50..1b923e8 100644
--- a/cmd/prometheus/main.go
+++ b/cmd/prometheus/main.go
@@ -285,7 +285,7 @@ func main() {
 	a.HelpFlag.Short('h')
 
 	a.Flag("config.file", "Prometheus configuration file path.").
-		Default("prometheus.yml").StringVar(&cfg.configFile)
+		Default("/etc/prometheus/prometheus.yml").StringVar(&cfg.configFile)
 
 	a.Flag("web.listen-address", "Address to listen on for UI, API, and telemetry.").
 		Default("0.0.0.0:9090").StringVar(&cfg.web.ListenAddress)
@@ -313,7 +313,7 @@ func main() {
 		"Prefix for the internal routes of web endpoints. Defaults to path of --web.external-url.").
 		PlaceHolder("<path>").StringVar(&cfg.web.RoutePrefix)
 
-	a.Flag("web.user-assets", "Path to static asset directory, available at /user.").
+	a.Flag("web.user-assets", "Path to user asset directory, available at /user.").
 		PlaceHolder("<path>").StringVar(&cfg.web.UserAssetsPath)
 
 	a.Flag("web.enable-lifecycle", "Enable shutdown and reload via HTTP request.").
@@ -326,10 +326,10 @@ func main() {
 		Default("false").BoolVar(&cfg.web.EnableRemoteWriteReceiver)
 
 	a.Flag("web.console.templates", "Path to the console template directory, available at /consoles.").
-		Default("consoles").StringVar(&cfg.web.ConsoleTemplatesPath)
+		Default("/etc/prometheus/consoles").StringVar(&cfg.web.ConsoleTemplatesPath)
 
 	a.Flag("web.console.libraries", "Path to the console library directory.").
-		Default("console_libraries").StringVar(&cfg.web.ConsoleLibrariesPath)
+		Default("/etc/prometheus/console_libraries").StringVar(&cfg.web.ConsoleLibrariesPath)
 
 	a.Flag("web.page-title", "Document title of Prometheus instance.").
 		Default("Prometheus Time Series Collection and Processing Server").StringVar(&cfg.web.PageTitle)
@@ -338,7 +338,7 @@ func main() {
 		Default(".*").StringVar(&cfg.corsRegexString)
 
 	serverOnlyFlag(a, "storage.tsdb.path", "Base path for metrics storage.").
-		Default("data/").StringVar(&cfg.serverStoragePath)
+		Default("/var/lib/prometheus/metrics2/").StringVar(&cfg.serverStoragePath)
 
 	serverOnlyFlag(a, "storage.tsdb.min-block-duration", "Minimum duration of a data block before being persisted. For use in testing.").
 		Hidden().Default("2h").SetValue(&cfg.tsdb.MinBlockDuration)
@@ -385,7 +385,7 @@ func main() {
 		Default("120").Hidden().IntVar(&cfg.tsdb.SamplesPerChunk)
 
 	agentOnlyFlag(a, "storage.agent.path", "Base path for metrics storage.").
-		Default("data-agent/").StringVar(&cfg.agentStoragePath)
+		Default("/var/lib/prometheus/data-agent/").StringVar(&cfg.agentStoragePath)
 
 	agentOnlyFlag(a, "storage.agent.wal-segment-size",
 		"Size at which to split WAL segment files. Example: 100MB").
